PERTALIFE Bugs - Bug #3523

[ESS-Overtime]ess overtime dimana jika end of time attendance nya kosong, maka buatkan isi nilai
default value nya menjadi 0000. karena di taskid requester confirmation, terjadi ada validasi end of
time tidak boleh kosong.

03/19/2025 10:11 AM - Muhammad Bintar

Status: Closed Start date: 03/19/2025

Priority: Normal Due date: 03/21/2025

Assignee: M Azid Wahyudi % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 1.50 hour

Description

dear tim developer mohon support nya untuk ess overtime dimana jika end of time attendance nya kosong, maka buatkan isi nilai
default value nya menjadi 0000.

karena di taskid requester confirmation, terjadi ada validasi end of time tidak boleh kosong.
History

#1 - 03/19/2025 10:43 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

azid,

field ini kayaknya udah pernah kita diskusikan deh ya.

cek dl di awal field ini terisi otomatis atau diisi manual oleh karyawan?

kalau memang udah ada default get data dr yg lain, jangan Igs d rubah menjadi default ya khawatir ada validasi yg d minta d awal saat project untuk
kebutuhan cross check data.

Tks

#2 - 03/19/2025 12:19 PM - M Azid Wahyudi

07/02/2025 12



- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , issue ini karena kurang paham aja sistem overtime berjalan gimana

package :
bizproc(afterrender,method)

--SISTEM OVERTIME PERTALIFE--

1. Attandance wajib di isi untuk backdate

2. jika bukan backdate dia plan pada saat di task Requester Confirmation ini mengecek apakah bener endtime overtime dengan endtime attandance
sama jika sesuai maka ConfirmationFlag nya Yes jika belom ada attandancenya harap di isi terlebih dahulu attandancenya kalau engga di isi pilih NO
di confirmationFlag nya

makasih

#3 - 03/19/2025 01:09 PM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

okeh sudah di deploy ke client
